%global pypi_name slimit

%define version 0.8.1
%define python3 1

Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 2
Group:          Development/Python
Summary:        SlimIt - JavaScript minifier

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.zip

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

Requires:       %{pypi_name} = %version-%release

%description
SlimIt - JavaScript minifier

%package -n %{pypi_name}
Summary:        SlimIt - JavaScript minifier
Group:          Development/Python

%description -n %{pypi_name}
SlimIt - JavaScript minifier

%if %python3
%package -n python3-%{pypi_name}
Summary:        SlimIt - JavaScript minifier
Group:          Development/Python

Requires:       %{pypi_name} = %version-%release

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
SlimIt - JavaScript minifier
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%apply_patches

cp -a . %{py3dir}

%build
%{__python} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/%{pypi_name}*

%files -n %{pypi_name}
%_bindir/%{pypi_name}

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*
%endif


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.8.1-2.mga4
+ Revision: 546137
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 0.8.1-1.mga4
+ Revision: 502210
- imported package python-slimit

